<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */


class TabDozentFotos extends TabPageDefault
{
  public function __construct($pTabName, $pData)
  {
    parent::__construct($pTabName, $pData);
  }

  
  public function _getContent()
  {
    
    $dnr = $this->_data;
    $dbwFoto = new DBWorkFoto();
    $fotos = $dbwFoto->getFotoNummern('D', $dnr);
    if (!$fotos || count($fotos) == 0) {
      $sprachsettings = new SprachSettingsObject();

      return 'Für ' . $sprachsettings->Dozent['Singular_mit_Artikel']['Akkusativ'] . ' existieren keine Fotos.';
    }
    $result = '<div id="foto_gallery">';
    foreach ($fotos as $fotoNr) {
      $foto = $dbwFoto->getFoto('D', $dnr, $fotoNr);
      $fotoLink = FotoAPI::getFotoLink(0, 0, 0, $foto);
      if ($fotoLink != '') {
        $result .= '<img src="../webbasys/' . CleanOperations::cleanStringForHtml($fotoLink) . '" alt="' . CleanOperations::cleanStringForHtml($foto->beschreibung_bf) . '" title="' . CleanOperations::cleanStringForHtml($foto->untertitel) . '">';
      } else {
        Logger::logg('Foto ' . $fotoNr . ' zum Dozenten ' . $dnr . ' nicht gefunden; Bilder müssen unter ../webbasys/bilder/doz liegen', 50);
      }
    }
    $result .= '</div>';

    return $result;
  }

  
  public function getSpecialJS()
  {
    return array('../jquery/galleria/galleria.min.js', 'js/MATool/dozinfo.js');
  }
}